#
#   Grafico polo-lunghezza della risposta invertito.
#   Copyright (C) 2018  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 900,480 x000000 xffffff




set grid x y


set multiplot
set size 0.5,1
set origin 0.5,0


set key off
#set key on
#set key title "lines"
#set key Left reverse samplen 1 box lw 1
#set key width 1 height 1
#set key left
#set key top

set samples 300

set xrange[10:60]
set xtics 5

set yrange[0.5:1]
set ytics 0.05

set xlabel "Lunghezza risposta"
unset ylabel
set title "Vista in dettaglio"

plot	"doc/dat/fitting_r.dat" using 3:1 with points title "ref. pts" lw 3, \
	1.0-3.0*(x**(-1.0/1.25)) axes x1y1 notitle lw 1


set origin 0,0


set key off
#set key on
#set key title "lines"
#set key Left reverse samplen 1 box lw 1
#set key width 1 height 1
#set key left
#set key top

set samples 300

set xrange[0:100]
set xtics 20

set yrange[0:1]
set ytics 0.2

set xlabel "Lunghezza risposta"
set ylabel "r"
set title "Lunghezza risposta - posizione poli reali coincidenti"

set object 1 rect from 60,0.5 to 10,1 fs empty border rgb 'blue'

plot	"doc/dat/fitting_r.dat" using 3:1 with points title "ref. pts" lw 3, \
	1.0-3.0*(x**(-1.0/1.25)) axes x1y1 notitle lw 1


unset multiplot	


