#
#   Grafico polo-lunghezza della rsiposta.
#   Copyright (C) 2018  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 900,480 x000000 xffffff




set grid x y


set multiplot
set size 0.5,1
set origin 0.5,0


set key off
#set key on
#set key title "lines"
#set key Left reverse samplen 1 box lw 1
#set key width 1 height 1
#set key left
#set key top

set samples 300

set xrange[0.5:1]
set xtics 0.05

set yrange[10:60]
set ytics 5

set xlabel "r"
unset ylabel
set title "Vista in dettaglio"

plot	"doc/dat/fitting_r.dat" using 1:3 with points title "ref. pts" lw 3, \
	(3.0/(1.0-x))**1.25 axes x1y1 notitle lw 1


set origin 0,0


set key off
#set key on
#set key title "lines"
#set key Left reverse samplen 1 box lw 1
#set key width 1 height 1
#set key left
#set key top

set samples 300

set xrange[0:1]
set xtics 0.2

set yrange[0:100]
set ytics 20

set xlabel "r"
set ylabel "Lunghezza risposta"
set title "Lunghezza risposta - posizione poli reali coincidenti"

set object 1 rect from 0.5,60 to 1,10 fs empty border rgb 'blue'

plot	"doc/dat/fitting_r.dat" using 1:3 with points title "ref. pts" lw 3, \
	(3.0/(1.0-x))**1.25 axes x1y1 notitle lw 1


unset multiplot	


