#
#   Confronta le risposte del filtro fluid.
#   Copyright (C) 2017 2018  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 640,480 x000000 xffffff




set grid x y


set multiplot
set size 1,1
set origin 0,0


set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right
set key top

#set samples 300

set xrange[-10:100]
set xtics 20

set yrange[-10:150]
set ytics 20

set xlabel "Time [frames]"
set ylabel "Position"
set title "Risposta al gradino del filtro digitale"

set object 1 rect from 37,90 to 95,-3
set object 1 rect fc rgb 'black' fillstyle solid 0.0 noborder

plot	"doc/dat/poli_1.dat" using 1:3 with lines title "poli reali" lw 2, \
	"doc/dat/poli_2.dat" using 1:3 with lines title "poli cc" lw 2, \
	"doc/dat/poli_3.dat" using 1:3 with lines title "poli cc" lw 2


set origin 0.47,0.12
set size 0.45,0.45


set key off

set xrange[0:6]
set xtics 1

set yrange[0:20]
set ytics 4


unset xlabel
unset ylabel
unset title

plot	"doc/dat/poli_1.dat" using 1:3 with lines title "poli reali" lw 2, \
	"doc/dat/poli_2.dat" using 1:3 with lines title "poli cc" lw 2, \
	"doc/dat/poli_3.dat" using 1:3 with lines title "poli cc" lw 2


unset multiplot

