#
#   Primo esempio di utilizzo di fluid.
#   Copyright (C) 2017 2018 2021  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 640,480 x000000 xffffff




set grid x y

set key off
#set key on
#set key title "lines"
#set key Left reverse samplen 1 box lw 1
#set key width 1 height 1
#set key right
#set key bottom

#set samples 300


set multiplot
set size 1,1
set origin 0,0


set xrange[-10:70]
set xtics 10
set mxtics 2

set yrange[-10:150]
set ytics 20

set xlabel "Time [frames]"
set ylabel "Position"
set title "Esempio di risposta di fluid"

set object 1 rect from 25,90 to 67,-2
set object 1 rect fc rgb 'black' fillstyle solid 0.0 noborder

plot	"doc/dat/poli_4.dat" using 1:3 with lines notitle lw 2 lt 2


set origin 0.47,0.12
set size 0.45,0.45


set xrange[25:40]
set xtics 5
set mxtics 5

set yrange[95:110]
set ytics 5
set mytics 5


unset xlabel
unset ylabel
unset title


plot	"doc/dat/poli_4.dat" using 1:3 with lines notitle lw 2 lt 2, \
	"doc/dat/poli_4.dat" using 1:3 with points notitle lw 2 lt 1


unset multiplot


