#
#   Confronta le risposte nel tempo con poli reali coincidenti.
#   Copyright (C) 2017 2018  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 900,480 x000000 xffffff




set grid x y

set multiplot
set size 0.5,1
set origin 0.5,0


set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right
set key bottom

#set samples 300

set xrange[-10:100]
set xtics 20

set yrange[-10:150]
set ytics 20

set xlabel "Time [frames]"
set ylabel "Position"
set title "Risposta con poli complessi coniugati"

plot	"doc/dat/data_cc_84.dat" using 1:3 with lines title "0.84 7" lw 2, \
	"doc/dat/data_cc_86.dat" using 1:3 with lines title "0.86 7" lw 2, \
	"doc/dat/data_cc_88.dat" using 1:3 with lines title "0.88 7" lw 2, \
	"doc/dat/data_cc_90.dat" using 1:3 with lines title "0.90 7" lw 2, \
	"doc/dat/data_cc_92.dat" using 1:3 with lines title "0.92 7" lw 2, \
	"doc/dat/data_cc_94.dat" using 1:3 with lines title "0.94 7" lw 2, \
	"doc/dat/data_cc_96.dat" using 1:3 with lines title "0.96 7" lw 2


set origin 0,0


#set samples 300

set xrange[-10:100]
set xtics 20

set yrange[-10:150]
set ytics 20

set xlabel "Time [frames]"
set ylabel "Position"
set title "Risposta con poli reali coincidenti"

plot	"doc/dat/data_r_84.dat" using 1:3 with lines title "0.84 0" lw 2, \
	"doc/dat/data_r_86.dat" using 1:3 with lines title "0.86 0" lw 2, \
	"doc/dat/data_r_88.dat" using 1:3 with lines title "0.88 0" lw 2, \
	"doc/dat/data_r_90.dat" using 1:3 with lines title "0.90 0" lw 2, \
	"doc/dat/data_r_92.dat" using 1:3 with lines title "0.92 0" lw 2, \
	"doc/dat/data_r_94.dat" using 1:3 with lines title "0.94 0" lw 2, \
	"doc/dat/data_r_96.dat" using 1:3 with lines title "0.96 0" lw 2


unset multiplot


